Bug 175903 - traceback during package selection
traceback during package selection
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Anaconda Maintenance Team
Mike McLean
Depends On:
  Show dependency treegraph
Reported: 2005-12-15 21:17 EST by Brian Brock
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-12-16 09:29:20 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Brian Brock 2005-12-15 21:17:25 EST
Description of problem:
FC-5/Test1 anaconda yields a traceback resolving package deps, using a ks.cfg

Version-Release number of selected component (if applicable):

How reproducible:
First time I've successfully recorded the traceback, possibly recurs widely.

Steps to Reproduce:
use the ks.cfg I'll post in the next comment.

<Dec/15 06:16 pm>Checking dependencies in packages selected for installation...
<Dec/15 06:16 pm>In progress...    
<Dec/15 06:16 pm>Traceback (most recent call last):
<Dec/15 06:16 pm>  File "/usr/bin/anaconda", line 1195, in ?
<Dec/15 06:16 pm>    intf.run(id, dispatch)
<Dec/15 06:16 pm>  File "/usr/lib/anaconda/cmdline.py", line 108, in run
<Dec/15 06:16 pm>    (step, args) = dispatch.currentStep()
<Dec/15 06:16 pm>  File "/usr/lib/anaconda/dispatch.py", line 253, in currentStep
<Dec/15 06:16 pm>    self.gotoNext()
<Dec/15 06:16 pm>  File "/usr/lib/anaconda/dispatch.py", line 145, in gotoNext
<Dec/15 06:16 pm>    self.moveStep()
<Dec/15 06:16 pm>  File "/usr/lib/anaconda/dispatch.py", line 216, in moveStep
<Dec/15 06:16 pm>    rc = apply(func, self.bindArgs(args))
<Dec/15 06:16 pm>  File "/usr/lib/anaconda/backend.py", line 136, in doPostSelection
<Dec/15 06:16 pm>    backend.doPostSelection(intf, id, instPath)
<Dec/15 06:16 pm>  File "/usr/lib/anaconda/yuminstall.py", line 624, in
<Dec/15 06:16 pm>    (code, msgs) = self.ayum.buildTransaction()
<Dec/15 06:16 pm>  File "/usr/lib/python2.4/site-packages/yum/__init__.py", line
339, in buildTransaction
<Dec/15 06:16 pm>    (rescode, restring) = self.resolveDeps()
<Dec/15 06:16 pm>  File "/usr/lib/anaconda/yuminstall.py", line 227, in resolveDeps
<Dec/15 06:16 pm>    if self.dsCallback: self.dsCallback.start()
<Dec/15 06:16 pm>  File "/usr/lib/anaconda/yuminstall.py", line 928, in start
<Dec/15 06:16 pm>    self.refresh()
<Dec/15 06:16 pm>  File "/usr/lib/anaconda/yuminstall.py", line 920, in refresh
<Dec/15 06:16 pm>    self.window.refresh()
<Dec/15 06:16 pm>AttributeError: ProgressWindow instance has no attribute 'refresh'

<Dec/15 06:16 pm>Traceback (most recent call last):
<Dec/15 06:16 pm>  File "/usr/bin/anaconda", line 1199, in ?
<Dec/15 06:16 pm>    handleException(dispatch, intf, sys.exc_info())
<Dec/15 06:16 pm>  File "/usr/lib/anaconda/exception.py", line 361, in
<Dec/15 06:16 pm>    win.run()^M<Dec/15 06:16 pm>
<Dec/15 06:16 pm>AttributeError: 'NoneType' object has no attribute 'run'
<Dec/15 06:16 pm>install exited abnormally 
<Dec/15 06:16 pm>sending termination signals...done
<Dec/15 06:16 pm>sending kill signals...done
<Dec/15 06:16 pm>disabling swap...
<Dec/15 06:16 pm>unmounting filesystems...
<Dec/15 06:16 pm>       /mnt/runtime done
<Dec/15 06:16 pm>       disabling /dev/loop0
<Dec/15 06:16 pm>       /proc/bus/usb done
<Dec/15 06:16 pm>       /proc done
<Dec/15 06:16 pm>       /dev/pts done
<Dec/15 06:16 pm>       /sys done
<Dec/15 06:16 pm>       /tmp/ramfs done
Comment 4 Jeremy Katz 2005-12-16 09:29:20 EST
Yeah, this is definitely fixed with post test1 (I fixed it last week-ish).

Note You need to log in before you can comment on or make changes to this bug.